Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.editors
Class ResourceHelper

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.ResourceHelper

All Implemented Interfaces:
  ResourceHelperInterface

Direct Known Subclasses:
  AttributesHelper, ControlHelper, FramesHelper, IndexersHelper, RealmsHelper, ResourceHelper, ResourcesHelper, UsersHelper

public abstract class ResourceHelper
extends java.lang.Object
implements ResourceHelperInterface

Field Summary
`protected java.util.Vector` | `rls`

Constructor Summary
`ResourceHelper()`

Method Summary
`void` | `addResourceListener(ResourceListener rl)` Add a Listener to this helper.
`protected void` | `errorPopup(java.lang.String name, java.lang.Exception ex)`
`abstract java.awt.Component` | `getComponent()`
`abstract java.lang.String` | `getTitle()`
`RemoteResource` | `getValue()` get the Resource edited with this helper
`protected void` | `msgPopup(java.lang.String name)`
`protected void` | `processEvent(java.util.EventObject eo)`
`void` | `removeResourceListener(ResourceListener rl)` Remove the listener from this helper.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.jigadm.editors.ResourceHelperInterface
`clearChanged, commitChanges, hasChanged, initialize, resetChanges`

Field Detail

### rls

    protected java.util.Vector rls

Constructor Detail

### ResourceHelper

    public ResourceHelper()

Method Detail

### getTitle

    public abstract java.lang.String getTitle()

### getComponent

    public abstract java.awt.Component getComponent()

### errorPopup

    protected void errorPopup(java.lang.String name,
                              java.lang.Exception ex)

### msgPopup

    protected void msgPopup(java.lang.String name)

### addResourceListener

    public void addResourceListener(ResourceListener rl)

  Description copied from interface: `ResourceHelperInterface`
  Add a Listener to this helper.

  Specified by:
    `addResourceListener` in interface `ResourceHelperInterface`
  Parameters:
    `rl` - a listener

### getValue

    public RemoteResource getValue()

  Description copied from interface: `ResourceHelperInterface`
  get the Resource edited with this helper

  Specified by:
    `getValue` in interface `ResourceHelperInterface`
  Returns:
    a RemoteResource

### removeResourceListener

    public void removeResourceListener(ResourceListener rl)

  Description copied from interface: `ResourceHelperInterface`
  Remove the listener from this helper.

  Specified by:
    `removeResourceListener` in interface `ResourceHelperInterface`
  Parameters:
    `rl` - the listener to be removed.

### processEvent

    protected void processEvent(java.util.EventObject eo)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD